#ifndef result_format_as_included
#define result_format_as_included

#module

/*
stdoutԂ
Ԃl
    stdout
*/
#defcfunc get_pass_result_format
    return "&RESULT&{PASS;0;#;#}"

/*
sstdoutԂ

    error_line: G[s
    error_message: G[bZ[W
Ԃl
    sstdout
*/
#defcfunc get_fail_result_format int error_line, str error_file, str error_message
    return "&RESULT&{FAIL;" + error_line + ";" + error_file + ";" + error_message + "}"

/*
R[X^bNstdoutԂ

    file_name: t@C
    file_line: t@Csԍ
    depth: [
Ԃl
    R[X^bNstdout
*/
#defcfunc get_callstack_format str file_name, int file_line, int depth
    return "&CALLSTACK&{" + file_name + ";" + file_line + ";" + depth + "}"

#global

#endif